mixin navbar
    nav.navbar.navbar-expand-md.navbar-light
        .container.justify-content-center
            button.navbar-toggler.navbar-toggler-right.border-0(type='button' data-toggle='collapse' data-target='#navbar3' style='')
                span.navbar-toggler-icon
            #navbar3.collapse.navbar-collapse.text-center.justify-content-center
                ul.navbar-nav
                    li.nav-item.mx-2
                        a.nav-link(href='/') Inicio
                    li.nav-item.mx-2
                        a.nav-link(href='/about') Mongo 3T
                    li.nav-item.mx-2
                        a.nav-link.navbar-brand.mr-0.text-primary(href='/')
                            i.fa.d-inline.fa-lg.fa.fa-paw
                            b  MY PUG
                    li.nav-item.mx-2
                        a.nav-link(href='/products') Productos
                    li.nav-item.mx-2
                        a.nav-link(href='/contact') Contacto 

mixin jumbotron(title, paragraph, textButton)
    .jumbotron
        h1.display-4 #{title}
        p.lead
            | #{paragraph}
        hr.my-4

        a.btn.btn-primary.btn-lg(href='#' role='button') #{textButton}


mixin carousel
    #carouselExampleControls.carousel.slide(data-ride='carousel')
        .carousel-inner
            .carousel-item.active
                img.d-block.w-100(src='https://www.miplaya.ws/wp-content/uploads/userImages/beach_201106/1_1532618936_Atardecer-en-Mangueta-en-Zahora-cerca-de-Ca%C3%B1os-de-Meca.-panoramio-1000x500.jpg' alt='...')
            .carousel-item
                img.d-block.w-100(src='https://www.misierradegata.com/wp-content/uploads/2015/09/Atardecer-en-la-sierra-de-gata-caceres-1000x500.jpg' alt='...')
            .carousel-item
                img.d-block.w-100(src='http://www.corrientesaldia.info/es/Imagen/Miniatura/CtesAlDia-178374-1000x500-fit.jpg' alt='...')
        a.carousel-control-prev(href='#carouselExampleControls' role='button' data-slide='prev')
            span.carousel-control-prev-icon(aria-hidden='true')
            span.sr-only Previous
        a.carousel-control-next(href='#carouselExampleControls' role='button' data-slide='next')
            span.carousel-control-next-icon(aria-hidden='true')
            span.sr-only Next

mixin footer
    .py-3
        .container
            .row
                .col-md-12.text-center.d-md-flex.align-items-center
                    i.d-block.fa.fa-stop-circle.fa-2x.mr-md-5.text-primary
                    ul.nav.mx-md-auto.d-flex.justify-content-center
                        li.nav-item
                            a.nav-link.active(href='/') Inicio
                        li.nav-item
                            a.nav-link(href='/about') About
                        li.nav-item
                            a.nav-link(href='/products') Products
                        li.nav-item
                            a.nav-link(href='/contact') Contact
                    .row
                        .col-md-12.d-flex.align-items-center.justify-content-md-between.justify-content-center.my-2
                            a(href='#')
                            i.d-block.fa.fa-facebook-official.text-muted.fa-lg.mx-2
                            a(href='#')
                            i.d-block.fa.fa-instagram.text-muted.fa-lg.mx-2
                            a(href='#')
                            i.d-block.fa.fa-twitter.text-muted.fa-lg.ml-2
            .row
                .col-md-12.text-center
                    p.mt-2.mb-0 &copy; 2020 Lmancor. All rights reserved
